Does cpprest support C++03 compiler?

May 5, 2015 at 10:28 AM
Edited May 5, 2015 at 1:19 PM
Hello, I wish to use cpprest in my project, this is an amazing library, but I need to make my code can ship with some older Linux machine which does not have gcc 4.8 (for example CentOS 5, only have gcc 4.1).
I am curious about can cpprest be compiled on gcc 4.1?
Or if I can ship portable binary there will be fine (no need to compile on these machine), any idea about this?

Thank you very much.
Coordinator
May 5, 2015 at 7:14 PM
Hi bear330,

We require many C++11 features for compilation so I doubt you will be able to compile with 4.1. However you could compile the library and copy it over, as well as all the runtime dependencies onto another machine to run.

Steve